#include <fstream>
#include <vector>
#include <string>

using namespace std;

ifstream input("TSNT.inp");
ofstream output("TSNT.out");

long long PrimeFactorization(long long &n)
{
	long long i = 2;
	long long total = 0;
	while (n > 1)
	{
		if (n % i == 0)
		{
			output << i;
			total += i;
			if (n != i && n != i + 1)
			{
				output << '*';
			}
			n /= i;
		}
		else
		{
			i++;
		}
	}
	output << '\n';
	return total;
}

int main()
{
	long long n;
	input >> n;
	output << n << " = ";
	output << PrimeFactorization(n);
	input.close();
	output.close();
	return 0;
}